wibble::ConsumerMorph< T, W > Struct Template Reference

`#include <consumer.h>`

Inheritance diagram for wibble::ConsumerMorph< T, W >:
[legend]
Collaboration diagram for wibble::ConsumerMorph< T, W >:
[legend]

## Public Member Functions

| ConsumerMorph ()
| ConsumerMorph (const W &w)
virtual void | consume (const T &a)
virtual void | consume (Range< T > s)
Public Member Functions inherited from wibble::Morph< ConsumerMorph< T, W >, W, ConsumerInterface< T > >
| Morph (const Wrapped &w)
const ConsumerMorph< T, W > & | self () const
bool | operator<= (const Morph &o) const
virtual bool | leq (const MorphInterface< ConsumerInterface< T > > *_o) const
virtual MorphInterface< ConsumerInterface< T > > * | constructCopy (void *where, unsigned int available) const
virtual void | destroy (unsigned int available)
const Wrapped & | wrapped () const
Wrapped & | wrapped ()
virtual | ~Morph ()
Public Member Functions inherited from wibble::MorphBase< W, Interface >
| MorphBase (const W &w)
template<typename _W >
EnableIf< IsPolymorphic< _W >, VirtualBase * >::T | virtualBase ()
template<typename _W >
EnableIf< TNot< IsPolymorphic< _W > >, VirtualBase * >::T | virtualBase ()
virtual VirtualBase * | virtualBase ()
W & | wrapped ()
Public Member Functions inherited from wibble::MorphInterface< Interface >
virtual | ~MorphInterface ()
virtual bool | leq (const MorphInterface *) const =0
Public Member Functions inherited from wibble::mixin::Comparable< Self >
const Self & | cmpSelf () const
bool | operator!= (const Self &o) const
bool | operator== (const Self &o) const
bool | operator< (const Self &o) const
bool | operator> (const Self &o) const
bool | operator>= (const Self &o) const
Public Member Functions inherited from wibble::MorphAllocator
void * | operator new (size_t bytes, void *where, unsigned available)
void * | operator new (size_t bytes)

## Additional Inherited Members

Public Types inherited from wibble::Morph< ConsumerMorph< T, W >, W, ConsumerInterface< T > >
typedef W | Wrapped
Protected Attributes inherited from wibble::MorphBase< W, Interface >
W | m_wrapped

## Constructor & Destructor Documentation

## ConsumerMorph() [1/2]

template<typename T , typename W >

wibble::ConsumerMorph< T, W >::ConsumerMorph | ( |  | ) |

inline

## ConsumerMorph() [2/2]

template<typename T , typename W >

wibble::ConsumerMorph< T, W >::ConsumerMorph | ( | const W & | w | ) |

inline

## Member Function Documentation

## consume() [1/2]

template<typename T , typename W >

virtual void wibble::ConsumerMorph< T, W >::consume | ( | const T & | a | ) |

inline virtual

References wibble::Morph< ConsumerMorph< T, W >, W, ConsumerInterface< T > >::wrapped().

Referenced by wibble::ConsumerMorph< T, W >::consume().

## consume() [2/2]

template<typename T , typename W >

virtual void wibble::ConsumerMorph< T, W >::consume | ( | Range< T > | s | ) |

inline virtual

References wibble::ConsumerMorph< T, W >::consume(), wibble::RangeMixin< T, Self >::empty(), wibble::Range< T >::head(), and wibble::RangeMixin< T, Self >::tail().

The documentation for this struct was generated from the following file:

- consumer.h